
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>读完这几本Java书，离高手更近一步 / 憋错料</title>

    <meta name="description" content="读完这几本Java书，离高手更近一步 首先说一下我个人的认识吧,我觉得高手应该是这样的: (1)精通Java基础知识与基础理论,熟悉JDK的发展史. (2)熟悉JVM,熟悉内存调试 (3)深刻理解Java的线程与并发包,以及背后的内存实现原理 (4)精通eclipse的使用,明白其中的插件的开发原理.深刻理解findbugs的缺陷模式. (5)熟悉SSH框架,并对源代码有足够的兴趣和研究. (6)熟悉数据缓存的原理与实现,MemCached客户端源码,mybatis源码都要涉猎. (7)了解足够的异步处理,定时处理,消息等知识. (">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">读完这几本Java书，离高手更近一步</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>首先说一下我个人的认识吧，我觉得高手应该是这样的：</p>
<p>（1）精通Java基础知识与基础理论，熟悉JDK的发展史。</p>
<p>（2）熟悉JVM，熟悉内存调试</p>
<p>（3）深刻理解Java的线程与并发包，以及背后的内存实现原理</p>
<p>（4）精通eclipse的使用，明白其中的插件的开发原理。深刻理解findbugs的缺陷模式。</p>
<p>（5）熟悉SSH框架，并对源代码有足够的兴趣和研究。</p>
<p>（6）熟悉数据缓存的原理与实现，MemCached客户端源码，mybatis源码都要涉猎。</p>
<p>（7）了解足够的异步处理，定时处理，消息等知识。</p>
<p>（8）熟悉其中一款服务器，并对源码有研究。</p>
<p>（9）对JDK中重点的类要了解源代码，熟悉常用的工具类及其jar包。</p>
<p>（10）熟悉远程调用的知识与框架。</p>
<p>（11）熟悉常用的设计模式，不要求掌握多少种，但是一定要十分深刻，十分灵活。</p>
<p>如何距离高手更进一步呢？只有大量的阅读java技术书籍，多思考java技术的思想内涵。本文给大家推荐几本作者读过的书吧，感觉还不错，大家有时间了可以看看。</p>
<p>最近看了一本书《编写高质量代码-改善java程序的151个建议》，总体上还是不错的！成书于2011年，2013年的时候进行了第3次印刷，至今只出了一版。这本书涉及的面广，从基本语法到系统框架，从jdk api到开源产品都有涉猎。而且与真实的场景相结合，不是纸上谈兵。所以，这本书不是面向初学者的，针对那些有一定的开发经验的人士，阅读此书才能有更大的收获。作者是秦少波，有多年的开发经验。</p>
<p>类&#20284;的书籍有《你必须知道的261个JAVA语言问题》，梁建全编写， 人民邮电出版社 2009年出版，还有李刚编著的《突破程序员基本功的16课》人民邮电出版社， 2010年出版的。这些都是我曾经读过的书，感觉还不错，推荐给大家！</p>
<p>另外，还有《细说JAVA》，梁勇编写，人民邮电出版社，2010年出版；《设计模式从入门到精通》，杨帆、王钧玉、孙更新、电子工业出版社，2010年出版；《精通Java核心技术》，刘晓华编写， 电子工业出版社，2003年出版。</p>
<p>这些书感觉都还是不错的，抓好基础，才是成为高手的必经之塔。喜欢本文或者对本文有异议的，请加入java的群：293074111，你所提出的任何java技术问题都会有人回复你的。<strong></strong><P><A href="http://www.bubuko.com/infodetail-203821.html" rel="external nofollow noreferrer">读完这几本Java书，离高手更近一步,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-23 04:31:33 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/java-%e5%bc%80%e5%8f%91/" title="java 开发">java 开发</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>读完这几本Java书，离高手更近一步的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLvyYQ3.html" rel="bookmark">外贸开发，用java调用速卖通api第一步，token的获取。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一步 定义速卖通api的常量 public String client_id; public String client_key; public String site; 第二步 获取登陆的uRL /** * getloginurl * @param redirect_uri * @return */ public String GetLoginUrl(String redirect_uri) { String param = (new StringBuilder(&quot;client_id=&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aRZAP3.html" rel="bookmark">从投资小白到理财高手 只差三步</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				投资理财原本被认为是有钱人的事,不过随着观念的改变,理财也&quot;飞入寻常百姓家&quot;.理财的收益让人心动,它的风险却让人畏惧,对于理财小白们来说,理财让人又爱又惧.那么,作为投资小白,怎么成为理财高手呢?一起来听听妙资财富理财师是怎么说吧! 财富体检 妙资财富理财师建议,在投资理财之前,先得寻找专业的理财机构做一次&quot;家庭财富体检&quot;,而非急匆勿选择某某理财产品.许多人常常意识不到家庭财富体验的重要性.什么是家庭财富体检呢?对个人的财务状况进行全面的梳理和摸底,了解个人全部资产			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/497Kpg0.html" rel="bookmark">尽管以C&plus;&plus;为基础，但 Java 是一种更纯粹的面向对象程序设计语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;尽管以C++为基础,但 Java 是一种更纯粹的面向对象程序设计语言&quot;. 无论C++还是Java 都属于杂合语言.但在 Java 中,设计者觉得这种杂合并不象在 C++里那么重要.杂合语言 允许采用多种编程风格:之所以说 C++是一种杂合语言,是因为它支持与 C语言的向后兼容能力.由于C++是 C的一个超集,所以包含的许多特性都是后者不具备的,这些特性使 C++在某些地方显得过于复杂. Java 语言首先便假定了我们只希望进行面向对象的程序设计.也就是说,正式用它设计之前,必须先将自			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02wEGz3.html" rel="bookmark">【转】Java书单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. Java 语言基础 谈到Java 语言基础学习的书籍,大家肯定会推荐Bruce Eckel 的&lt;Thinking in Java&gt;.它是一本写的相当深刻的技术书籍,Java 语言 基础部分基本没有其它任何一本书可以超越它.该书的作者Bruce Eckel 在网络上被称为天才的投机者,作者的&lt;Thinking in C++&gt;在 1995 年曾获SoftwareDevelopment Jolt Award 最佳书籍大奖,&lt;Thinking in Java&gt;被评为199			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qvEb74.html" rel="bookmark">我的Java书单之优秀的入门书</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我始终相信,学习任何一门新技术,该技术相关的优秀书籍总是最好的资料.当然了,优秀的视频教程能帮组你快速地了解该技术,但是要深入和系统地去学习该技术,好的书籍就显得尤为重要了.结合我自己学习java的经验和教训,针对看过的一些好书,我简单列个清单,这也是我的建议阅读顺序. 1.入门java的第一本书当然是&lt;Head First Java&gt;,建议看第二版.该书最大的特点就是简单和逻辑清晰连贯.这对于新手建立java语言编程的基础概念是非常有帮组的.该书的内容包含了基本的java语法,学习完之后就可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41nyNoM.html" rel="bookmark">Java书单参考</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2016书单如下: 1.深入理解Java虚拟机:JVM高级特性与最佳实践-(已看,预计今年看三遍) 2.Oracle查询优化改写技巧与案例-(已看) 3.Effective Java-(已看) 4.Spring3.x企业应用开发实战 5.Spring技术内幕:深入解析Spring架构与设计原理-(这本书在去年已经看了一遍了,今年在好好研究下) 6.Java并发编程的艺术 7.Java并发编程实战-(这本书在去年已经看了一遍了,今年在好好研究下) 8.型网站系统与Java中间件实践 9.分布式服务			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGEkr63.html" rel="bookmark">java书系列之&mdash;&mdash;前言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章Java的起源 对于计算机语言的发展史,业界一般认为:B语言导致了C语言的诞生,C语言演变出了C++语言,而C++语言将让位于Java语言.要想更好地了解Java语言,就必须了解它产生的原因.推动它发展的动力,以及它对其他语言的继承.像以前其他成功的计算机语言一样,Java继承了其他语言的先进原理,同时又因其独特的环境要求而提出了一些创新性的概念.在这本书的其他各章中,将从实用的角度,对Java语言.库及应用程序进行包括语法在内的详细介绍.在本章里,我们将介绍Java语言产生的背景.发展过			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35lEgK0.html" rel="bookmark">Java书单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.&lt;深入理解 Java 虚拟机:JVM 高级特性与最佳实践&gt; 2.&lt;HotSpot 实战&gt; 3.&lt;Java 并发编程实战&gt; 4.&lt;Java 多线程编程核心技术&gt; 5.&lt;Effective Java 中文版&gt; 6.&lt;深入分析 Java Web 技术内幕&gt; 7.&lt;大型网站技术架构 核心原理与案例分析&gt; 8.&lt;大型网站系统与 Java 中间件实践&gt; 9.&lt;从 Paxos 到 ZooKeeper 分布式一致性原			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kP2gP3.html" rel="bookmark">一文助您成为Java&period;Net双平台高手</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写在前面:本文乃标题党,不是月经贴,侧重于Web开发差异,或细节或概述,若有不对之处,还请各位读者本着友好互助的心态批评指正.由于博客园中.Neter较多(个人感觉),因此本文也可以作为.Neter到Java开发的快速入门. 总述 在.Net开发中,微软官方框架类可以很好的解决的大部分问题,开发人员可以心安理得的在一亩三分地腾挪躲闪出花来:偶有一些优(zhao)秀(chao)的开源库,各库的关注点也基本不会重样:所以.Neter只要按部就班即可.而Java喜欢定义各种规范,各路大神各自实现,因此			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n0lX1L0.html" rel="bookmark" class="title">C&num; 将Access中时间段条件查询的数据添加到ListView中</a>
					<div>
						C# 将Access中时间段条件查询的数据添加到ListView中 一.让ListView控件显示表头的方法 在窗体中添加ListView 空间,其属性中设置:View属性设置为:Detail,Col ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MEKJ13.html" rel="bookmark" class="title">SSH配置</a>
					<div>
						SSH是Secure shell的缩写,即“安全外壳协议”,专为远程登录会话和其他网络服务提供安全性的协议,是一项计算机上的安全协议.SSH传输的数据可以是经过压缩的,所以可以加快传输的速度,至少比H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLodr0.html" rel="bookmark" class="title">Google无法访问</a>
					<div>
						额, Google又不能访问了, 对于我们这群程序猿来说简直是晴天霹雳啊, 网上看了看, 总结了一些方法 第一种 修改Hosts文件 修改Hostswen文件 windows下面 C:\Windows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4APXED3.html" rel="bookmark" class="title">Codeforces 6D Lizards and Basements 2 dfs&plus;暴力</a>
					<div>
						题目链接:点击打开链接 #include&lt;stdio.h&gt; #include&lt;iostream&gt; #include&lt;string.h&gt; #include&lt;se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vEoNa0.html" rel="bookmark" class="title">基于Linux环境Tomcat-MySQL的服务器搭建</a>
					<div>
						在开发日趋激烈的今天,我们可不能再只会编码了,这样搞不好,就成了一辈子的码奴!所以这里简单的分享一下服务器的搭建,由于Linux的安全性等一切因素让它成为了服务器平台的首选环境!今天跟大家分享的是Ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmGBoX3.html" rel="bookmark" class="title">图片隐写术总结</a>
					<div>
						一直比较喜欢做杂项(虽然还是很垃圾),就感觉很有意思.总结了一些关于图片隐写的姿势,一起学习~ 1.另存为图片 (还有直接看文件信息,可能就在文件信息里面)2.改后缀 zip / rar /txt3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDgX73.html" rel="bookmark" class="title">Android源码</a>
					<div>
						Android源码地址.朋友分享的,本来想自己记住的,但是,记忆有惰性了.这里也咩有记录这一标签,所以,当文章分享了. http://www.grepcode.com/project/reposito ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Nz7Do4.html" rel="bookmark" class="title">libxml&sol;HTMLparser&period;h file not found</a>
					<div>
						在导入asihttprequest包时出问题导入了libxml2.dylib.可是却提示libxml/HTMLparser.h file not found. 这是由于你的开发环境默认的路径无法找到这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qZ1j3.html" rel="bookmark" class="title">福州代开发票</a>
					<div>
						[13538017315戴先生QQ2016771784].工业统一.商业统一.今年上半年的楼市库存量和成交量,项目销售周期加长,周转速度减慢,催生了房地产企业财务费用大涨的现象编者按:在购房者普遍预计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEvOxg0.html" rel="bookmark" class="title">python selenium 模拟手机浏览器</a>
					<div>
						脚本如下: from selenium import webdriver mobile = {'deviceName': 'Apple iPhone 4'} //设置所模拟的硬件 path='C:\\ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVzW11M.html" rel="bookmark" class="title">从编程到工程</a>
					<div>
						平时学习中总会听见有人说语言学习的多么的好,像java,C,C++等.然而我们的目光不应该拘于选择什么语言上,真正能学好一门语言或者能利用一门语言按照自己的设想与去编出满意的软件是我们的追求,并不是懂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rZ1Kb3.html" rel="bookmark" class="title">Git 相关汇总</a>
					<div>
						1 删除远程分支: git push origin :branch-name        冒号前面的空格不能少,原理是把一个空分支push到server上,相当于删除该分支. Git 相关汇总,布布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZDbz3.html" rel="bookmark" class="title">UVA - 11354 Bond（最小生成树&plus;LCA&plus;瓶颈路）</a>
					<div>
						题意:N个点,M条路,每条路的危险度为路上各段中最大的危险度.多组询问,点s到点t的所有路径中最小的危险度. 分析: 1.首先建个最小生成树,则s到t的路径一定是危险度最小的. 原因:建最小生成树的最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j2B2e0.html" rel="bookmark" class="title">5656</a>
					<div>
						$\bf命题1:$设$f(x)$是$\left[ {1, + \infty } \right)$上的非负单调减少函数,令 an=∑k=1nf(k)?∫n1f(x)dx,n∈N+ 证明:数列$\left ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bRVQ90.html" rel="bookmark" class="title">UNITY引擎变量调用产生不必要内存分配</a>
					<div>
						https://unity3d.com/de/learn/tutorials/topics/performance-optimization/optimizing-garbage-collection ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02yl7oM.html" rel="bookmark" class="title">css小随笔</a>
					<div>
						一.什么是CSS W3C标准中,倡导有3:其一为内容与表现分离,其二为内容与行为分离,其三为内容结构的语义化.其倡导中第一条的&quot;表现&quot;指的便可以说是CSS.CSS全称Cascadi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0azlpA3.html" rel="bookmark" class="title">python模块学习&mdash;&mdash;urllib模块</a>
					<div>
						参考学习:http://www.blogjava.net/ashutc/archive/2011/03/21/346695.html 1.urllib.quote()函数 模拟登录时,对用户名进行处理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6Xpz53.html" rel="bookmark" class="title">Sharepoint环境搭建注意事项</a>
					<div>
						前提条件,有已经搭建好的域环境. 大致步骤如下: 1.准备windows 08r2 64bit os,vm,sqlserver2008 64bit,sharepoint designer2010(可选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWjjEl4.html" rel="bookmark" class="title">&lbrack;实战&rsqb;记一次PUT方法拿下网站shell</a>
					<div>
						第一次用方法拿shell,之前遇到的都是没有写入权限的. 站太辣鸡,纯粹练手,就不打码了. 此次实战会用到的HTTP请求方法: OPTIONS,PUT,MOVE/COPPY * 战前准备 0x01 什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVREoyM.html" rel="bookmark" class="title">旧版青奥遇到的bug</a>
					<div>
						1.Cannot create PoolableConnectionFactory (Unknown database 'yoms') 答:服务器上的库都被人删了. 2.Cannot create P ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
